Bug 1010648 - ABRT should attach logs from the systemd journal
ABRT should attach logs from the systemd journal
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Kubat
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1048010
  Show dependency treegraph
 
Reported: 2013-09-22 05:18 EDT by Elad Alfassa
Modified: 2014-02-03 18:19 EST (History)
9 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:39:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elad Alfassa 2013-09-22 05:18:31 EDT
I noticed that in the bugs I file, abrt attaches /var/log/messages

I have syslogd turned off. /var/log/messages haven't been written into since May.

ABRT should instead attach logs from journalctl -b (for system logs) and journalctl -b --user (for user session logs).

We want to get rid of syslog by default, so we should make sure ABRT works without it.
Comment 1 Petr Kubat 2013-10-29 03:25:42 EDT
Fixed in GIT:
commit 0ca15a3de870acfdb2a63e0c4b9f403adaf54beb
Merge: c8a8ef4 fd41be8
Author: Jiri Moskovčák <moskovcak@gmail.com>
Date:   Thu Oct 24 06:38:29 2013 -0700

    Merge pull request #715 from abrt/rhbz1010648
    
    switch logging from syslog to systemd in f20 - rhbz#1010648
    
    Signed-off-by: Petr Kubat <pkubat@redhat.com>
Comment 2 Fedora Update System 2013-10-29 04:51:36 EDT
gnome-abrt-0.3.3-1.fc20, abrt-2.1.9-1.fc20, libreport-2.1.9-1.fc20, satyr-0.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.3-1.fc20,abrt-2.1.9-1.fc20,libreport-2.1.9-1.fc20,satyr-0.11-1.fc20
Comment 3 Fedora Update System 2013-10-29 14:08:07 EDT
Package gnome-abrt-0.3.3-1.fc20, abrt-2.1.9-1.fc20, libreport-2.1.9-1.fc20, satyr-0.11-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.3-1.fc20 abrt-2.1.9-1.fc20 libreport-2.1.9-1.fc20 satyr-0.11-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20254/gnome-abrt-0.3.3-1.fc20,abrt-2.1.9-1.fc20,libreport-2.1.9-1.fc20,satyr-0.11-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-05 15:00:38 EST
Package gnome-abrt-0.3.3-2.fc20, abrt-2.1.9-1.fc20, libreport-2.1.9-1.fc20, satyr-0.11-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.3-2.fc20 abrt-2.1.9-1.fc20 libreport-2.1.9-1.fc20 satyr-0.11-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20254/gnome-abrt-0.3.3-2.fc20,abrt-2.1.9-1.fc20,libreport-2.1.9-1.fc20,satyr-0.11-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-10 01:39:33 EST
gnome-abrt-0.3.3-2.fc20, abrt-2.1.9-1.fc20, libreport-2.1.9-1.fc20, satyr-0.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.